Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.openpgp
Class PGPInvalidChecksumException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              cryptix.openpgp.PGPException
                  cryptix.openpgp.PGPAbstractDataFormatException
                      cryptix.openpgp.PGPDataFormatException
                          cryptix.openpgp.PGPInvalidChecksumException

All Implemented Interfaces:
  java.io.Serializable

public class PGPInvalidChecksumException
extends PGPDataFormatException

Thrown when a checksum does not match.

Version:
  $Revision: 1.2 $
Author:
  Edwin Woudt (edwin@cryptix.org)
See Also:
  Serialized Form

Constructor Summary
`PGPInvalidChecksumException()` Constructs an exception without a specific error message.
`PGPInvalidChecksumException(java.lang.String msg)` Constructs an exception with the specified error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PGPInvalidChecksumException

    public PGPInvalidChecksumException()

  Constructs an exception without a specific error message.

### PGPInvalidChecksumException

    public PGPInvalidChecksumException(java.lang.String msg)

  Constructs an exception with the specified error message.

Parameters:
  `msg` - the error message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.